您尚未登录。

#1 2015-04-25 02:50:55

阿键
会员
注册时间: 2013-08-27
帖子: 5

samba升级到4.2.1后不能运行了!

systemctl status smbd.service nmbd.service
smbd.service - Samba SMB/CIFS server
   Loaded: loaded (/usr/lib/systemd/system/smbd.service; enabled)
   Active: failed (Result: exit-code) since Fri 2015-04-24 12:31:12 MDT; 15s ago
  Process: 660 ExecStart=/usr/bin/smbd -D (code=exited, status=127)

Apr 24 12:31:12 alarm systemd[1]: Starting Samba SMB/CIFS server...
Apr 24 12:31:12 alarm smbd[660]: /usr/bin/smbd: error while loading shared ...ry
Apr 24 12:31:12 alarm systemd[1]: smbd.service: control process exited, cod...27
Apr 24 12:31:12 alarm systemd[1]: Failed to start Samba SMB/CIFS server.
Apr 24 12:31:12 alarm systemd[1]: Unit smbd.service entered failed state.

nmbd.service - Samba NetBIOS name server
   Loaded: loaded (/usr/lib/systemd/system/nmbd.service; enabled)
   Active: failed (Result: exit-code) since Fri 2015-04-24 12:31:12 MDT; 15s ago
  Process: 661 ExecStart=/usr/bin/nmbd -D (code=exited, status=127)

Apr 24 12:31:12 alarm nmbd[661]: /usr/bin/nmbd: error while loading shared ...ry
Apr 24 12:31:12 alarm systemd[1]: nmbd.service: control process exited, cod...27
Apr 24 12:31:12 alarm systemd[1]: Failed to start Samba NetBIOS name server.
Apr 24 12:31:12 alarm systemd[1]: Unit nmbd.service entered failed state.

大家有遇到这样的问题吗?

离线

#2 2015-04-25 11:06:05

atmouse
会员
注册时间: 2011-08-24
帖子: 672

Re: samba升级到4.2.1后不能运行了!

Apr 24 12:31:12 alarm nmbd[661]: /usr/bin/nmbd: error while loading shared

ldd /usr/bin/nmbd 看下具体是那个so版本没升级,然后升级那个so的包就是了


Raspberry pi 3, PHA-2A/DT1770Pro,
linux-raspberrypi, systemd, pacman, vc4, xorg, qtile, chrome,

离线

#3 2015-04-25 13:18:46

阿键
会员
注册时间: 2013-08-27
帖子: 5

Re: samba升级到4.2.1后不能运行了!

libgcrypt.so.20 => not found
这个文件好像要升级内核,一升级就出问题。

离线

#4 2015-04-25 19:18:55

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,384
个人网站

Re: samba升级到4.2.1后不能运行了!

>>> pacman -Qo /usr/lib/libgcrypt.so.20
/usr/lib/libgcrypt.so.20 属于 libgcrypt 1.6.3-2

离线

#5 2015-05-02 23:54:25

阿键
会员
注册时间: 2013-08-27
帖子: 5

Re: samba升级到4.2.1后不能运行了!

谢谢各位的回答,我还是搞不定arch,有没有QQ交流群,推荐一个。

离线

#6 2015-05-03 01:22:42

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,384
个人网站

Re: samba升级到4.2.1后不能运行了!

有 XMPP / IRC: https://bbs.archlinuxcn.org/viewtopic.php?id=16 (其实还支持 telegram)。

离线

页脚